﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			treeView1.ItemsSource = new DataItems();
			treeView1.ItemPrepared += new EventHandler<Telerik.Windows.Controls.RadTreeViewItemPreparedEventArgs>(treeView1_ItemPrepared);
		}

		void treeView1_ItemPrepared(object sender, Telerik.Windows.Controls.RadTreeViewItemPreparedEventArgs e)
		{
			e.PreparedItem.IsSelected = true;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			DataItem newD = new DataItem();
			newD.Title = "New DataItem";
			(treeView1.SelectedItem as DataItem).Children.Add(newD);
			treeView1.SelectedContainer.IsExpanded = true;
		}
	}

	public class DataItems : ObservableCollection<DataItem>
	{
		public DataItems()
		{
			for (int i = 0; i < 5; i++)
			{
				DataItem d = new DataItem();
				d.Title = "Item " + i.ToString();
				this.Add(d);
			}
		}
	}

	public class DataItem
	{
		public DataItem()
		{
			this.Children = new ObservableCollection<DataItem>();
		}
		public string Title { get; set; }
		public ObservableCollection<DataItem> Children { get; set; }
	}
}
